Subject: Re: bug#42366: UTF8 QR codes vs. emacs

From: Robert Pluim <[email-masked]>
Date: Thu, 06 Aug 2020 09:57:04 +0200

>>>>> On Wed, 05 Aug 2020 18:42:11 +0300, Eli Zaretskii <[email-masked]> said:

    >> Date: Wed, 05 Aug 2020 18:38:38 +0300
    >> From: Eli Zaretskii <[email-masked]>
    >> Cc: [email-masked], [email-masked], [email-masked]
    >> 
    >> What exactly is surprising here?  In a TTY frame, Emacs doesn't
    >> control the layout: the terminal emulator does.  Emacs just sends
    >> codes to the terminal device, and that's it.

    Eli> To clarify: the original complaint, AFAIU, was about the display in a
    Eli> GUI frame, in which case the layout is entirely ours.  You are now
    Eli> saying that the problem is on TTY frames, but there we don't control
    Eli> the layout at all.

I donʼt think I said that. The TTY frame layout looks ok, the gui
frame one has what looks like extra pixels between the characters.

Robert